MediaWiki:Mbox.css: Difference between revisions

From Honkai: Nexus Anima Wiki
Jump to navigation Jump to search
Created page with "Mbox: .mbox { --type-important: rgba(200, 0, 0, 0.8); --type-moderate: rgba(233, 124, 47, 0.8); --type-minor: rgba(241, 197, 37, 0.8); display: flex; position: relative; background-color: var(--custom-mbox-bg); border: 1px solid #d6d6d6; border-left-width: 8px; border-left-color: #d6d6d6; border-radius: 3px; margin-bottom: 5px; min-height: 32px; } .mbox.mbox-type-important { border-left-color: var(--type-important); } .mbox.mbox-type-moderate { borde..."
 
Kuhlau (talk | contribs)
incorporate rules from FM CSS
 
(One intermediate revision by the same user not shown)
Line 101: Line 101:


/* FandomMobile overrides */
/* FandomMobile overrides */
.skin-fandommobile .mbox .mbox__content__image {
.skin-minerva .mbox .mbox__content__image {
display: unset;
display: unset;
padding-right: 0;
padding-right: 0;
height: unset;
vertical-align: top;
float: left;
}
/* possibly should be Display: Block, I'm not really sure what this is unsetting to off the top of my head */
.skin-minerva .mbox .mbox__content__wrapper {
display: unset;
}
}


.skin-fandommobile .mbox .mbox__content__wrapper {
.skin-minerva .mbox__content__image:has(.article-media-thumbnail) {
display: unset;
width: 75px;
}
}


.skin-fandommobile .mbox .article-media-thumbnail {
.skin-minerva .mbox .article-media-thumbnail {
margin-bottom: 0;
margin-bottom: 0;
}
}


.skin-fandommobile .mbox .mbox__content__header {
.skin-minerva .mbox .mbox__content__header {
display: inline-block;
display: inline-block;
}
.skin-minerva .mbox__content .mbox__content__image img {
border: none;
}
}

Latest revision as of 02:44, 14 July 2026

/* Mbox */
.mbox {
	--type-important: rgba(200, 0, 0, 0.8);
	--type-moderate: rgba(233, 124, 47, 0.8);
	--type-minor: rgba(241, 197, 37, 0.8);
	display: flex;
	position: relative;
	background-color: var(--custom-mbox-bg);
	border: 1px solid #d6d6d6;
	border-left-width: 8px;
	border-left-color: #d6d6d6;
	border-radius: 3px;
	margin-bottom: 5px;
	min-height: 32px;
}

.mbox.mbox-type-important {
	border-left-color: var(--type-important);
}

.mbox.mbox-type-moderate {
	border-left-color: var(--type-moderate);
}

.mbox.mbox-type-minor {
	border-left-color: var(--type-minor);
}

.mbox__content {
	display: table;
	box-sizing: border-box;
	width: 100%;
	padding: 8px 15px;
}

.mbox__content__image {
	display: table-cell;
	width: 40px;
	height: 100%;
	text-align: center;
	vertical-align: middle;
	padding-right: 15px;
}

.mbox__content__wrapper {
	display: table-cell;
	vertical-align: middle;
}

.mbox__content__header {
	display: block;
	font-weight: bold;
}

.mbox__content__text {
	display: block;
}

.mbox__content__text__comment {
	font-size: small;
}

.mbox__content__aside {
	display: table-cell;
	width: 100px;
	vertical-align: middle;
	text-align: center;
	padding-left: 15px;
	border-left: 1px solid #d6d6d6;
}

.mbox__close {
	position: absolute;
	right: 0;
	top: 0;
	padding: 2px 7px;
	font-weight: bold;
	font-size: 16px;
	color: #bbb;
	cursor: pointer;
	transition: all .15s ease-in;
}

.mbox__close:hover {
	color: #777;
}

.mbox__close:after {
	content: '×';
}

.mw-collapsed+.mbox__close {
	transform: rotate(45deg);
	padding: 4px 7px 5px 2px;
}

/* Remove accessibility feature for mbox toggle */
.mw-customtoggle-mbox {
	outline: none;
}

/* FandomMobile overrides */
.skin-minerva .mbox .mbox__content__image {
	display: unset;
	padding-right: 0;
	height: unset;
	vertical-align: top;
	float: left;
}
/* possibly should be Display: Block, I'm not really sure what this is unsetting to off the top of my head */
.skin-minerva .mbox .mbox__content__wrapper {
	display: unset;
}

.skin-minerva .mbox__content__image:has(.article-media-thumbnail) {
	width: 75px;
}

.skin-minerva .mbox .article-media-thumbnail {
	margin-bottom: 0;
}

.skin-minerva .mbox .mbox__content__header {
	display: inline-block;
}

.skin-minerva .mbox__content .mbox__content__image img {
	border: none;
}